import request from '@/utils/request'

// 查询APP用户推送标识信息列表
export function listPush(query) {
  return request({
    url: '/push/push/list',
    method: 'get',
    params: query
  })
}

// 查询APP用户推送标识信息详细
export function getPush(pushId) {
  return request({
    url: '/push/push/' + pushId,
    method: 'get'
  })
}

// 新增APP用户推送标识信息
export function addPush(data) {
  return request({
    url: '/push/push',
    method: 'post',
    data: data
  })
}

// 修改APP用户推送标识信息
export function updatePush(data) {
  return request({
    url: '/push/push',
    method: 'put',
    data: data
  })
}

// 删除APP用户推送标识信息
export function delPush(pushId) {
  return request({
    url: '/push/push/' + pushId,
    method: 'delete'
  })
}

// 导出APP用户推送标识信息
export function exportPush(query) {
  return request({
    url: '/push/push/export',
    method: 'get',
    params: query
  })
}